# Method: projects.locations.corpora.assets.import

- [HTTP request](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1/projects.locations.corpora.assets/import#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1/projects.locations.corpora.assets/import#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1/projects.locations.corpora.assets/import#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1/projects.locations.corpora.assets/import#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1/projects.locations.corpora.assets/import#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1/projects.locations.corpora.assets/import#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1/projects.locations.corpora.assets/import#body.aspect_1)

Imports assets (images plus annotations) from a meta file on cloud storage. Each row in the meta file is corresponding to an image (specified by a cloud storage uri) and its annotations.

### HTTP request

`POST https://visionai.googleapis.com/v1/{parent=projects/*/locations/*/corpora/*}/assets:import`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent corpus resource where the assets will be imported. Format: `projects/{project_number}/locations/{locationId}/corpora/{corpus_id}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { // Union field `source` can be only one of the following: "assetsGcsUri": string // End of list of possible types for union field `source`. } ``` |

| Fields ||
|---|---|
| Union field `source`. The source. `source` can be only one of the following: ||
| `assetsGcsUri` | `string` The file contains all assets information to be imported. \* The file is in JSONL format. \* Each line corresponding to one asset. \* Each line will be converted into InputImageAsset proto. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/vision-ai/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `visionai.corpora.import`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).